# std::bad_array_new_length::bad_array_new_length

From cppreference.com
< cpp‎ | memory‎ | new‎ | bad array new length

bad_array_new_length(); |  | (since C++11)

Constructs new `bad_array_new_length` object with in implementation-defined null-terminated byte string which is accessible through `what()`.

### Parameters

(none)

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/new/bad_array_new_length/bad_array_new_length&oldid=91783"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template